Android build fails after upgrade to NS 4.1


#1

I had successfully upgraded my project to NS 4.0.2, later ran tns doctor, and saw that 4.1 was available. So, I upgraded NS, platforms, plugins, etc, so that TNS doctor runs clean. Now, when I build on android, I get this error:

Failed to build plugin nativescript-google-maps-sdk :
Error: Command ./gradlew failed with exit code 1 Error output:

FAILURE: Build failed with an exception.

* What went wrong:
Could not resolve all files for configuration ':releaseCompileClasspath'.
> Could not find common.jar (android.arch.core:common:1.0.0).
  Searched in the following locations:
      https://jcenter.bintray.com/android/arch/core/common/1.0.0/common-1.0.0.jar

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

BUILD FAILED in 0s

I’m guessing that perhaps I need to update my version of java, but the instructions I find don’t match what I see on my Mac (ie., there is no Java Control Panel on System Preferences). At this point I’m searched out. Anyone have any hints?


#2

After more searching, I’ve found this issue which addresses the problem: https://github.com/dapriett/nativescript-google-maps-sdk/issues/287

It appears the nativescript-google-maps.sdk plugin does not support NS 4.1.